# Uses of Class
org.eclipse.mat.query.ContextDerivedData.DerivedColumn

Packages that use ContextDerivedData.DerivedColumn
Package
Description
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.

## Uses of ContextDerivedData.DerivedColumn in org.eclipse.mat.query

Methods in org.eclipse.mat.query that return ContextDerivedData.DerivedColumn
Modifier and Type
Method
Description
`abstract ContextDerivedData.DerivedColumn[]`
ContextDerivedData.`getDerivedColumns()`
Get all the derived columns for the current context (page) Do not modify the returned array.
`final ContextDerivedData.DerivedColumn`
ContextDerivedData.`lookup(ContextDerivedData.DerivedOperation operation)`
Find the appropriate column for the requested operation
Methods in org.eclipse.mat.query with parameters of type ContextDerivedData.DerivedColumn
Modifier and Type
Method
Description
`abstract Column`
ContextDerivedData.`columnFor(ContextDerivedData.DerivedColumn derivedColumn, IResult result, ContextProvider provider)`
Get a column ready to use, based on the derived column
`abstract String`
ContextDerivedData.`labelFor(ContextDerivedData.DerivedColumn derivedColumn, ContextProvider provider)`
Get the label for the extra column

## Uses of ContextDerivedData.DerivedColumn in org.eclipse.mat.query.refined

Methods in org.eclipse.mat.query.refined with parameters of type ContextDerivedData.DerivedColumn
Modifier and Type
Method
Description
`Column`
RefinedStructuredResult.`addDerivedDataColumn(ContextProvider provider, ContextDerivedData.DerivedColumn derivedColumn)`
`Column`
RefinedStructuredResult.`getColumnFor(ContextProvider provider, ContextDerivedData.DerivedColumn derivedColumn)`

## Uses of ContextDerivedData.DerivedColumn in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return ContextDerivedData.DerivedColumn
Modifier and Type
Method
Description
`ContextDerivedData.DerivedColumn[]`
RetainedSizeDerivedData.`getDerivedColumns()`
Get the extra column with the retained size data.
Methods in org.eclipse.mat.snapshot.query with parameters of type ContextDerivedData.DerivedColumn
Modifier and Type
Method
Description
`Column`
RetainedSizeDerivedData.`columnFor(ContextDerivedData.DerivedColumn derivedColumn, IResult result, ContextProvider provider)`
Get a column for the retained size with the right calculator.
`String`
RetainedSizeDerivedData.`labelFor(ContextDerivedData.DerivedColumn derivedColumn, ContextProvider provider)`
Get the label for the extra column.